classification
Title: .hgignore: Missing ignores for Eclipse/pydev
Type: enhancement Stage: resolved
Components: Versions: Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: wont fix
Dependencies: Superseder:
Assigned To: Nosy List: BreamoreBoy, andymaier, berker.peksag, ezio.melotti, pitrou
Priority: normal Keywords: patch

Created on 2014-07-01 14:08 by andymaier, last changed 2015-02-16 00:36 by berker.peksag. This issue is now closed.

Files
File name Uploaded Description Edit
issue21898.diff andymaier, 2014-07-01 14:10 Patch for 2.7 and 3.1-3.5 review
Messages (3)
msg222032 - (view) Author: Andy Maier (andymaier) * Date: 2014-07-01 14:08
The .hgignore file misses some entries for directories and files created by Eclipse with pydev.

The additional lines for .hgignore would be:
    ^.project
    ^.pydevproject
    ^.settings/

This change applies to 2.7 and 3.x.
msg235998 - (view) Author: Mark Lawrence (BreamoreBoy) * Date: 2015-02-14 22:12
Could someone review the patch please.  It simply adds the three lines to the .hgignore file that are listed in msg222032.
msg236081 - (view) Author: Berker Peksag (berker.peksag) * (Python committer) Date: 2015-02-16 00:36
Thanks for the patch! I'm -1 to adding IDE/editor specific files to .hgignore. You can create a global .hgignore instead.
History
Date User Action Args
2015-02-16 00:36:57berker.peksagsetstatus: open -> closed

nosy: + berker.peksag
messages: + msg236081

resolution: wont fix
stage: patch review -> resolved
2015-02-14 22:12:49BreamoreBoysetnosy: + BreamoreBoy
messages: + msg235998
2014-07-01 14:39:03ezio.melottisetnosy: + pitrou, ezio.melotti
stage: patch review

versions: - Python 3.1, Python 3.2, Python 3.3
2014-07-01 14:10:01andymaiersetfiles: + issue21898.diff
keywords: + patch
2014-07-01 14:08:15andymaiercreate